# Uses of Interface
javafx.collections.MapChangeListener

Packages that use MapChangeListener
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.collections
Contains the essential JavaFX collections and collection utilities

## Uses of MapChangeListener in javafx.beans.binding

Methods in javafx.beans.binding with parameters of type MapChangeListener
Modifier and Type
Method
Description
`void`
MapBinding.`addListener(MapChangeListener<? super K,? super V> listener)`
`void`
MapBinding.`removeListener(MapChangeListener<? super K,? super V> listener)`

## Uses of MapChangeListener in javafx.beans.property

Methods in javafx.beans.property with parameters of type MapChangeListener
Modifier and Type
Method
Description
`void`
MapPropertyBase.`addListener(MapChangeListener<? super K,? super V> listener)`
`void`
ReadOnlyMapPropertyBase.`addListener(MapChangeListener<? super K,? super V> listener)`
`void`
MapPropertyBase.`removeListener(MapChangeListener<? super K,? super V> listener)`
`void`
ReadOnlyMapPropertyBase.`removeListener(MapChangeListener<? super K,? super V> listener)`

## Uses of MapChangeListener in javafx.collections

Classes in javafx.collections that implement MapChangeListener
Modifier and Type
Class
Description
`final class`
`WeakMapChangeListener<K,V>`
A `WeakMapChangeListener` can be used, if an `ObservableMap` should only maintain a weak reference to the listener.
Methods in javafx.collections with parameters of type MapChangeListener
Modifier and Type
Method
Description
`void`
ObservableMap.`addListener(MapChangeListener<? super K,? super V> listener)`
Add a listener to this observable map.
`void`
ObservableMap.`removeListener(MapChangeListener<? super K,? super V> listener)`
Tries to removed a listener from this observable map.
Constructors in javafx.collections with parameters of type MapChangeListener
Modifier
Constructor
Description
``
`WeakMapChangeListener(MapChangeListener<K,V> listener)`
The constructor of `WeakMapChangeListener`.